### Enumeration

# EDataServer TrustPromptResponse

since: 3.8

#### Declaration

    enum EDataServer.TrustPromptResponse

#### Description [src]

Response codes for the trust prompt.

Available since: 3.8

#### Members

`E_TRUST_PROMPT_RESPONSE_UNKNOWN`

  Unknown response, usually due to some error.

  - Value: `-1`
  - Available since: 3.8
`E_TRUST_PROMPT_RESPONSE_REJECT`

  Reject permanently.

  - Value: `0`
  - Available since: 3.8
`E_TRUST_PROMPT_RESPONSE_ACCEPT`

  Accept permanently.

  - Value: `1`
  - Available since: 3.8
`E_TRUST_PROMPT_RESPONSE_ACCEPT_TEMPORARILY`

  Accept temporarily.

  - Value: `2`
  - Available since: 3.8
`E_TRUST_PROMPT_RESPONSE_REJECT_TEMPORARILY`

  Reject temporarily.

  - Value: `3`
  - Available since: 3.8